<template>
  <div class="bubbleReceiver">
    <div class="firstRow">
      <h3>{{ message.sender.name }}</h3>
      <button
        v-if="!pressed && !isPlayer && !message.archived"
        @click="archive"
      >
        <img
          :class="{ active: true }"
          src="../../assets/archived.png"
          alt="archived button"
        />
      </button>
    </div>
    <p>
      {{ message.content }}
    </p>
  </div>
</template>

<script>
import axios from "axios";
import store from "../../store/auth";

export default {
  data() {
    return {
      pressed: false,
    };
  },
  props: {
    message: {
      Type: Object,
    },
  },
  computed: {
    isPlayer() {
      return store.getters["auth/getUser"].role === "player";
    },
  },
  methods: {
    archive() {
      axios.post(`api/games/${this.message.game_id}/archive`, {
        messageId: this.message.id,
      });
      this.pressed = true;
    },
  },
};
</script>

<style lang="scss">
.bubbleReceiver {
  align-self: flex-start;
  display: flex;
  flex-direction: column;
  border: none;
  background-color: #d2ddf1;
  color: black;
  font-size: 0.8rem;
  border-radius: 0.8rem;

  width: 45%;
  margin-left: 5%;
  margin-right: 50%;
  margin-top: 0.2rem;
  margin-bottom: 0.2rem;
  padding: 0.2rem;
  .firstRow {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    h3 {
      font-size: 1rem;
      font-weight: 600;
    }
    img {
      width: 1.5rem;
      height: 1.5rem;
      opacity: 0.2;
    }
    img.active {
      opacity: 1;
    }
  }
}
</style>
